#ifndef BUTTON_H
#define BUTTON_H

#include <Arduino.h>
#include "USBHIDKeyboard.h"

extern USBHIDKeyboard Keyboard;

class Button {
private:
    uint8_t pin;                    // GPIO pin number for button
    char keyToSend;                 // Key code to send when pressed
    bool currentState;              // Current debounced state
    bool lastReading;               // Last raw reading from the pin
    unsigned long lastDebounceTime; // Last time the reading changed
    unsigned long debounceDelay;    // Debounce delay in milliseconds
    
public:
    Button(uint8_t buttonPin, char key, unsigned long debounceMs = 50);
    
    void begin();
    
    bool update();
    
    bool getState() const;
    
    void setKey(char newKey);
};

#endif // BUTTON_H 